# Lanciare un serie di comandi senza parametri del tipo:
ls
date
df
du
ps
whoami

# Inserire delle opzioni
ls -l
ls -l -i -t -r /tmp
date --version
df -h
du -a

# Inserire degli argomenti
ls -l /tmp
cat /etc/passwd
echo 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30

# Digitare un comando errato e notare msg errore da parte della shell
llss

# Digitare un'opzione o un argomento errato e verificare msg errore da parte del comando
ls -j
ls /tmp/nonexistingfile

# Evidenziare che la shell prima verifica la linea di comando e poi lancia il comando
# passando le opzioni e gli argomenti
ls '-j /tmp/nonexistingfile

# Verificare l'esistenza del file eseguibile per ogni comando esterno
ls /bin/cp
which cp
ls -F /bin /usr/bin /sbin /usr/sbin
